class Cart
  attr_accessor :items

  def initialize
    @items = {}
  end

  def add(sku)
    if @items[sku].nil?
      @items[sku] = 1
    else 
      @items[sku] = @items[sku].to_i + 1
    end
  end

  def update(sku, quantity=1)
    @items[sku] = quantity
  end
		
  def delete(sku)
    @items.delete(sku)
  end

  def size()
    @items.size
  end
end
